#
# spec file for package perl-DateTime-Format-Builder
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-DateTime-Format-Builder
Version:        0.83
Release:        1.18
%define cpan_name DateTime-Format-Builder
Summary:        Create DateTime parser classes and objects
License:        Artistic-2.0
Group:          Development/Libraries/Perl
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/D/DR/DROLSKY/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(DateTime) >= 1.00
BuildRequires:  perl(DateTime::Format::Strptime) >= 1.04
BuildRequires:  perl(Params::Validate) >= 0.72
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(parent)
Requires:       perl(DateTime) >= 1.00
Requires:       perl(DateTime::Format::Strptime) >= 1.04
Requires:       perl(Params::Validate) >= 0.72
Requires:       perl(parent)
%{perl_requires}

%description
DateTime::Format::Builder creates DateTime parsers. Many string formats of
dates and times are simple and just require a basic regular expression to
extract the relevant information. Builder provides a simple way to do this
without writing reams of structural code.

Builder provides a number of methods, most of which you'll never need, or
at least rarely need. They're provided more for exposing of the module's
innards to any subclasses, or for when you need to do something slightly
beyond what I expected.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc azure-pipelines.yml Changes CODE_OF_CONDUCT.md CONTRIBUTING.md examples README.md
%license LICENSE

%changelog
* Mon Aug 10 2020 Tina Müller <timueller+perl@suse.de>
- updated to 0.83
  see /usr/share/doc/packages/perl-DateTime-Format-Builder/Changes
  0.83     2020-08-09
  - Switched to GitHub issues.
* Wed Mar 13 2019 Stephan Kulow <coolo@suse.com>
- updated to 0.82
  see /usr/share/doc/packages/perl-DateTime-Format-Builder/Changes
  0.82     2019-03-03
  - Removed use of Class::Factory::Util. That distro is poorly maintained (by
    me) and it has some issues with its use of Module::Build. This distro
    (DateTime-Format-Builder) really doesn't need to use Class::Factory::Util.
* Tue Jun  4 2013 coolo@suse.com
- updated to 0.81, no changelog
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Sun May  9 2010 lars@linux-schulserver.de
- initial version 0.80
